API referenceRuntime
Get Sandbox Process
Authorization
bearerAuth AuthorizationBearer <token>
Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.
In: header
Path Parameters
sandbox_id*stringMatch
^sbx_[A-Za-z0-9]+$process_id*stringMatch
^proc_[A-Za-z0-9]+$Header Parameters
X-Metal-Project-ID*stringPublic project ID used to scope sandbox access.
Match
^prj_[A-Za-z0-9]+$Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/sandboxes/string/processes/string" \ -H "X-Metal-Project-ID: string"{ "id": "string", "type": "process", "project_id": "string", "sandbox_id": "string", "state": "queued", "command": [ "string" ], "cwd": "string", "timeout_seconds": 1, "max_output_bytes": 1, "output_bytes": 0, "output_truncated": true, "exit_code": -9007199254740991, "termination_signal": "string", "error": { "code": "string", "message": "string", "retryable": true, "details": { "property1": null, "property2": null } }, "cancel_requested_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "provider_capabilities": { "provider": "blaxel", "version": "string", "lifecycle": { "pause": true, "resume": true }, "process": { "execute": true, "cancel": true, "ordered_output": true, "max_timeout_seconds": 1, "max_output_bytes": 1 }, "filesystem": { "read": true, "write": true, "write_modes": [ "create" ], "create_parents": true, "list": true, "delete": true, "max_read_bytes": 1, "max_write_bytes": 1 }, "http_endpoints": { "create": true, "revoke": true, "max_lease_seconds": 1 }, "computer": { "implementation": "native", "actions": [ "mouse_move" ], "screenshot": { "formats": [ "png" ], "max_bytes": 1 }, "recording": { "formats": [ "mp4" ] } } }}